Name:           kmyfirewall
Version:        1.1.1
Release:        1%{?dist}
Summary:        IP Table based firewall

Group:          Applications/Internet
License:        GPLv2
URL:            http://www.kmyfirewall.org/
Source0:        http://sourceforge.net/settings/mirror_choices?projectname=kmyfirewall&filename=kmyfirewall/1.1.1/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs3, zlib, zlib-devel, libjpeg, libpng, qt3, qt3-devel, kdelibs3-devel, xorg-x11-xdm, libX11, libX11-devel, libXt-devel, libXrandr-devel, libICE-devel, libSM-devel, libXcursor-devel, libXrender-devel
#ExcludeArch:    x86_64
BuildArch:      i686

%description
KMyFirewall attempts to make it easier to setup IPTables based firewalls
 on Linux systems.

%prep
%setup -q


%build
sh fedora_configuration
make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT install
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/mimelnk/application/ %{name}/kmfrs.desktop
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/mimelnk/application/ %{name}/kmfgrs.desktop
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/mimelnk/application/ %{name}/kmfnet.desktop
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/mimelnk/application/ %{name}/kmfpkg.desktop
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications/kde/ %{name}/%{name}.desktop


%clean
make clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)

%{_datadir}/apps/%{name}/*
%{_datadir}/config.kcfg/kmfconfig.kcfg
%{_includedir}/%{name}/*
%{_sysconfdir}/kde/%{name}rc
%{_bindir}/%{name}

%{_datadir}/services/kmf*
%{_defaultdocdir}/HTML/en/%{name}/*
%{_datadir}/apps/kmf*/*
%{_datadir}/mimelnk/application/kmf*
%{_datadir}/servicetypes/kmf*
%{_libdir}/kde3/libkmf*
%{_libdir}/libkmf*
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/icons/Locolor/16x16/apps/%{name}.png
%{_datadir}/icons/Locolor/32x32/apps/%{name}.png
%{_datadir}/icons/Locolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%doc README TODO COPYING INSTALL AUTHORS ChangeLog



%changelog
* Sat May 15 2010 Aditya Patawari <adimania@fedoraproject.org> - 1.1.1-1
- Initial Build